## ros-lunar-rc-visard 2.5.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(rc_visard)
find_package(catkin REQUIRED)
catkin_metapackage()

=== debian/changelog ===
ros-lunar-rc-visard (2.5.0-0stretch) stretch; urgency=high



 -- Felix Ruess <felix.ruess@roboception.de>  Mon, 04 Feb 2019 23:00:00 -0000

ros-lunar-rc-visard (2.4.2-0stretch) stretch; urgency=high



 -- Felix Ruess <felix.ruess@roboception.de>  Sun, 28 Oct 2018 23:00:00 -0000

ros-lunar-rc-visard (2.4.1-0stretch) stretch; urgency=high



 -- Felix Ruess <felix.ruess@roboception.de>  Sun, 28 Oct 2018 23:00:00 -0000

ros-lunar-rc-visard (2.4.0-0stretch) stretch; urgency=high

  * rc_hand_eye_calibration_client package added

 -- Felix Ruess <felix.ruess@roboception.de>  Mon, 15 Oct 2018 22:00:00 -0000

ros-lunar-rc-visard (2.3.0-0stretch) stretch; urgency=high



 -- Felix Ruess <felix.ruess@roboception.de>  Mon, 20 Aug 2018 22:00:00 -0000

ros-lunar-rc-visard (2.2.0-0stretch) stretch; urgency=high



 -- Felix Ruess <felix.ruess@roboception.de>  Mon, 02 Jul 2018 22:00:00 -0000

ros-lunar-rc-visard (2.1.1-0stretch) stretch; urgency=high



 -- Felix Ruess <felix.ruess@roboception.de>  Thu, 14 Jun 2018 22:00:00 -0000

ros-lunar-rc-visard (2.1.0-0stretch) stretch; urgency=high



 -- Felix Ruess <felix.ruess@roboception.de>  Sun, 22 Apr 2018 22:00:00 -0000

ros-lunar-rc-visard (2.0.0-0stretch) stretch; urgency=high

  * rc_visard_description package added
  * Contributors: Felix Ruess, florek

 -- Felix Ruess <felix.ruess@roboception.de>  Mon, 26 Feb 2018 23:00:00 -0000

ros-lunar-rc-visard (1.2.1-0stretch) stretch; urgency=high



 -- Felix Ruess <felix.ruess@roboception.de>  Sun, 25 Feb 2018 23:00:00 -0000

ros-lunar-rc-visard (1.2.0-0stretch) stretch; urgency=high

  * release 1.2.0
  * add rc_visard meta package
  * Contributors: Felix Ruess

 -- Felix Ruess <felix.ruess@roboception.de>  Sat, 10 Feb 2018 23:00:00 -0000

=== debian/control ===
Source: ros-lunar-rc-visard
Section: misc
Priority: extra
Maintainer: Felix Ruess <felix.ruess@roboception.de>
Build-Depends: debhelper (>= 9.0.0), ros-lunar-catkin
Homepage: http://roboception.com/rc_visard
Standards-Version: 3.9.2

Package: ros-lunar-rc-visard
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-lunar-rc-hand-eye-calibration-client, ros-lunar-rc-visard-description, ros-lunar-rc-visard-driver
Description: Roboception rc_visard support meta package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/lunar/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/lunar" \
		-DCMAKE_PREFIX_PATH="/opt/ros/lunar"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-lunar-rc-visard//opt/ros/lunar/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_install
